package io.gitlab.jfronny.libjf.config.impl.ui;

import io.gitlab.jfronny.libjf.config.api.v1.ConfigInstance;
import io.gitlab.jfronny.libjf.config.api.v2.ui.ConfigScreenFactory;
import net.minecraft.client.gui.screen.Screen;

public record ConfigScreenFactory1To2<S extends Screen>(io.gitlab.jfronny.libjf.config.api.v1.ui.ConfigScreenFactory<S> impl) implements ConfigScreenFactory<S, ConfigScreenFactory1To2.Built<S>> {
    @Override
    public Built<S> create(ConfigInstance config, Screen parent) {
        return new Built<>(impl.create(config, parent));
    }

    @Override
    public int getPriority() {
        return impl.getPriority();
    }

    public record Built<S extends Screen>(S screen) implements ConfigScreenFactory.Built<S> {
        @Override
        public S get() {
            return null;
        }

        @Override
        public void onSave(Runnable action) {
            throw new UnsupportedOperationException();
        }
    }
}
