package io.gitlab.jfronny.libjf.config.impl.ui;

import io.gitlab.jfronny.libjf.config.api.v1.ConfigInstance;
import io.gitlab.jfronny.libjf.config.api.v1.ui.ConfigScreenFactory;
import net.minecraft.client.gui.screen.Screen;

public record ConfigScreenFactory2To1<S extends Screen, B extends io.gitlab.jfronny.libjf.config.api.v2.ui.ConfigScreenFactory.Built<S>>(io.gitlab.jfronny.libjf.config.api.v2.ui.ConfigScreenFactory<S, B> impl) implements ConfigScreenFactory<S> {
    @Override
    public S create(ConfigInstance config, Screen parent) {
        return impl.create(config, parent).get();
    }

    @Override
    public int getPriority() {
        return impl.getPriority();
    }
}
